Conversation Endpoints
Chat with knowledge base
Continue an existing conversation thread with your assistant
POST
This endpoint lets you continue an ongoing conversation with your assistant, keeping the context from previous messages.
URL Parameters
string
required
The unique ID of the conversation thread you want to continue
Query Parameters
string
Your API key for authentication
string
required
The ID of the knowledge board containing your chat assistant
string
required
The ID of the chat assistant you’re continuing the conversation with
Request Body
string
required
Your next message in the conversation
string
default:"claude-sonnet-5"
The AI model to use for generating the response (each model has different capabilities and
pricing)
boolean
Whether to save this message exchange in your conversation history
string
default:false
Force the AI response to use plain text instead of markdown. Allowed values are “true” or
“active”. Any other value will disable plaintext.
string
default:false
Return the answer as a stream instead of a JSON. Allowed values are “true” or “active”. Any other
value will disable streaming.
boolean
default:false
When streaming is enabled, set this to
true to receive credit usage information as a final chunk
in the stream. The usage chunk will be appended after the finish event with the format:
{"type":"usage","credits_used":0.123}. This is similar to OpenAI’s stream_options.include_usage parameter.string
default:" "
Extra information you want to include for this specific exchange (will not be stored in
conversation history)
string
Optional identifier for tracking who is sending the message
string
Optional identifier for tracking where the message came from
Response
string
The assistant’s response to your message
number
The number of credits consumed by this request
number
Your account’s remaining credit balance for the current billing period
